ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Verkaufsbehälter"
ENT.Category = "Gärtnerei"
ENT.Spawnable = true
ENT.IsSellContainer = true
ENT.RenderGroup = RENDERGROUP_BOTH

function ENT:GetSpace()
	local space = 0
	for i=1, #FarmingCFG.Crops do
		local crops = self.Crops[i]
		if crops then
			space = space + crops
		end
	end
	return space
end

function ENT:SetupDataTables()
	self:NetworkVar("Entity", 0, "owning_ent")
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end